Page MenuHomeVyOS Platform

VRRP op-mode errors
Closed, ResolvedPublicBUG

Description

If VRRP not configured

sever@vyos-1.3-roll:~$ show vrrp 
Traceback (most recent call last):
  File "/usr/libexec/vyos/op_mode/vrrp.py", line 24, in <module>
    import vyos.keepalived
ModuleNotFoundError: No module named 'vyos.keepalived'

sever@vyos-1.3-roll:~$ show vrrp detail 
Traceback (most recent call last):
  File "/usr/libexec/vyos/op_mode/vrrp.py", line 24, in <module>
    import vyos.keepalived
ModuleNotFoundError: No module named 'vyos.keepalived'

sever@vyos-1.3-roll:~$ show vrrp statistics 
Traceback (most recent call last):
  File "/usr/libexec/vyos/op_mode/vrrp.py", line 24, in <module>
    import vyos.keepalived
ModuleNotFoundError: No module named 'vyos.keepalived'

Details

Difficulty level
Unknown (require assessment)
Version
VyOS 1.3-rolling-202004180117
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

trae32566 added a subscriber: trae32566.
pasik added a subscriber: pasik.Apr 20 2020, 1:51 PM
Dmitry changed the task status from Open to Needs testing.Apr 21 2020, 8:48 PM
Dmitry assigned this task to thomas-mangin.

With this patch, all works as expected. Thanks @thomas-mangin

Viacheslav closed this task as Resolved.Apr 22 2020, 8:07 AM

Fixed in the latest rolling

sever@r11:~$ show vrrp 
VRRP is not running
sever@r11:~$ show vrrp detail 
VRRP is not running
sever@r11:~$ show vrrp statistics 
VRRP is not running
sever@r11:~$
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.May 21 2020, 5:22 PM